Redact

20 Sep 20247 minutes to read

The redact feature in an Image Editor is a valuable tool that empowers users to conceal sensitive information by applying blur or pixel effects to specific areas of an image. This feature is particularly valuable for protecting privacy and complying with data protection regulations, making it easier to securely share images without compromising sensitive information.

Apply redact to the image

The Image Editor control includes a drawRedact method, which allows you to draw redaction on an image. This method takes six parameters that define how the redact should be carried out:

  • type: Specifies the type of redaction to be drawn on the image such as blur or pixelate. If not specified, the redaction drawing is initiated with the default blur value.

  • x: Specifies x-coordinate of redaction. If not specified, the redaction drawing is initiated with the first parameter.

  • y: Specifies y-coordinate of redaction. If not specified it draws redaction from the center point of the image.

  • width: Specifies the width of redaction. The default value is 100.

  • height: Specifies the height of redaction. The default value is 50.

  • value: Specifies the blur value for blur-type redaction or the pixel size for pixelate-type redaction. Defaults to 20 since the default redaction is blur.

Selecting a redact

The Image Editor control includes a selectRedact method, which allows you to select a redaction based on the given redaction id. Use getRedacts method to get the redaction id which is then passed to perform selection. This method takes one parameter that define how the redact should be carried out:

  • id: Specifies the shape id to select a redact on an image.

Deleting a redact

The Image Editor control includes a deleteRedact method, which allows you to delete a redaction based on the given redaction id. Use getRedacts method to get the redaction id which is then passed to perform selection. This method takes one parameter that define how the redact should be carried out:

  • id: Specifies the shape id to delete a redact on an image.

Updating a redact

The Image Editor control includes a updateRedact method, which allows you to update the existing redacts by changing its height, width, blur, and pixel size in the component. Use getRedacts method to get the redacts which is then passed to change the options of a redacts. This method takes two parameters that define how the redact should be carried out:

  • setting: Specifies the redact settings to be updated for the shape on an image.

  • isSelected: Specifies to show the redacts in the selected state.

Getting redacts

The Image Editor control includes a getRedacts method, which allows you to get all the redact details which is drawn on an image editor.

Here’s an example demonstrating how to draw, select, delete, update, and get redacts on an image using the drawRedact, selectRedact, deleteRedact, updateRedact and getRedacts methods.

ej.base.enableRipple(true);

var imageEditorObj = new ej.imageeditor.ImageEditor({
  width: '550px',
  height: '330px',
  toolbar: [],
  created: function () {
    if (ej.base.Browser.isDevice) {
      imageEditorObj.open('bee-eater.png');
    } else {
      imageEditorObj.open('bee-eater.png');
    }
  }
});
imageEditorObj.appendTo('#imageeditor');

document.getElementById('add-redact').onclick = function () {
  let dimension = imageEditorObj.getImageDimension();
  imageEditorObj.drawRedact('blur', dimension.x + 180, dimension.y + 240, 200, 300);
}

document.getElementById('update-redact').onclick = function () {
  let redacts = imageEditorObj.getRedacts();
  if (redacts.length > 0) {
    redacts[redacts.length - 1].blurIntensity = 100;
    imageEditorObj.updateRedact(redacts[redacts.length - 1]);
  }
}

document.getElementById('select-redact').onclick = function () {
  let redacts = imageEditorObj.getRedacts();
  if (redacts.length > 0) {
    imageEditorObj.selectRedact(redacts[redacts.length - 1].id);
  }
}

document.getElementById('delete-redact').onclick = function () {
  let redacts = imageEditorObj.getRedacts();
  if (redacts.length > 0) {
    imageEditorObj.deleteRedact(redacts[redacts.length - 1].id);
  }
}
<!DOCTYPE html><html lang="en">
<head>
    <title>Essential JS 2</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no">
    <meta name="description" content="Essential JS 2">
    <meta name="author" content="Syncfusion">
    <link href="https://cdn.syncfusion.com/ej2/29.2.4/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/29.2.4/ej2-buttons/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/29.2.4/ej2-inputs/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/29.2.4/ej2-lists/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/29.2.4/ej2-navigations/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/29.2.4/ej2-popups/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/29.2.4/ej2-splitbuttons/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/29.2.4/ej2-image-editor/styles/material.css" rel="stylesheet">

    <!--style reference from app-->
    <link href="styles.css" rel="stylesheet">

    <!--system js reference and configuration-->
    <script src="https://cdn.syncfusion.com/ej2/29.2.4/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>

    <div id="container">
        <div class="control-section">
            <div id="imageeditor" class="row">
            </div>
            <div>
                <button id='add-redact' class='e-btn e-primary'>Add Redact</button>
                <button id='update-redact' class='e-btn e-primary'>Update Redact</button>
                <button id='select-redact' class='e-btn e-primary'>Select Redact</button>
                <button id='delete-redact' class='e-btn e-primary'>Delete Redact</button>
            </div>
        </div>
    </div>

    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
</body>

</html>

Redact in the React Image Editor component

19 Sep 202413 minutes to read

The redact feature in an Image Editor is a valuable tool that empowers users to conceal sensitive information by applying blur or pixel effects to specific areas of an image. This feature is particularly valuable for protecting privacy and complying with data protection regulations, making it easier to securely share images without compromising sensitive information.

Apply redact to the image

The Image Editor control includes a drawRedact method, which allows you to draw redaction on an image. This method takes six parameters that define how the redact should be carried out:

  • type: Specifies the type of redaction to be drawn on the image such as blur or pixelate. If not specified, the redaction drawing is initiated with the default blur value.

  • x: Specifies x-coordinate of redaction. If not specified, the redaction drawing is initiated with the first parameter.

  • y: Specifies y-coordinate of redaction. If not specified it draws redaction from the center point of the image.

  • width: Specifies the width of redaction. The default value is 100.

  • height: Specifies the height of redaction. The default value is 50.

  • value: Specifies the blur value for blur-type redaction or the pixel size for pixelate-type redaction. Defaults to 20 since the default redaction is blur.

Selecting a redact

The Image Editor control includes a selectRedact method, which allows you to select a redaction based on the given redaction id. Use getRedacts method to get the redaction id which is then passed to perform selection. This method takes one parameter that define how the redact should be carried out:

  • id: Specifies the shape id to select a redact on an image.

Deleting a redact

The Image Editor control includes a deleteRedact method, which allows you to delete a redaction based on the given redaction id. Use getRedacts method to get the redaction id which is then passed to perform selection. This method takes one parameter that define how the redact should be carried out:

  • id: Specifies the shape id to delete a redact on an image.

Updating a redact

The Image Editor control includes a updateRedact method, which allows you to update the existing redacts by changing its height, width, blur, and pixel size in the component. Use getRedacts method to get the redacts which is then passed to change the options of a redacts. This method takes two parameters that define how the redact should be carried out:

  • setting: Specifies the redact settings to be updated for the shape on an image.

  • isSelected: Specifies to show the redacts in the selected state.

Getting redacts

The Image Editor control includes a getRedacts method, which allows you to get all the redact details which is drawn on an image editor.

Here’s an example demonstrating how to draw, select, delete, update, and get redacts on an image using the drawRedact, selectRedact, deleteRedact, updateRedact and getRedacts methods.

import { ImageEditorComponent, RedactType } from '@syncfusion/ej2-react-image-editor';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import { Browser } from '@syncfusion/ej2-base';
import * as React from 'react';
import * as ReactDOM from "react-dom";

export default class App extends React.Component {
    imgObj;
    imageEditorCreated() {
        if (Browser.isDevice) {
            this.imgObj.open('https://ej2.syncfusion.com/react/demos/src/image-editor/images/flower.png');
        }
        else {
            this.imgObj.open('https://ej2.syncfusion.com/react/demos/src/image-editor/images/bridge.png');
        }
    }
    addRedact() {
        let dimension = this.imgObj.getImageDimension();
        this.imgObj.drawRedact(RedactType.Blur, dimension?.x, dimension.y, 200, 300);
    }
    updateRedact() {
        let redacts = this.imgObj.getRedacts();
        if (redacts.length > 0) {
            redacts[redacts.length - 1].blurIntensity = 100;
            this.imgObj.updateRedact(redacts[redacts.length - 1]);
        }
    }
    selectRedact() {
        let redacts = this.imgObj.getRedacts();
        if (redacts.length > 0) {
            this.imageEditorObj?.selectRedact(redacts[redacts.length - 1].id);
        }
    }
    deleteRedact() {
        let redacts = this.imgObj.getRedacts();
        if (redacts.length > 0) {
            this.imgObj.deleteRedact(redacts[redacts.length - 1].id);
        }
    }
    render() {
        return (<div className='e-img-editor-sample'>
            <ImageEditorComponent ref={(img) => { this.imgObj = img; }} height="350px" created={this.imageEditorCreated.bind(this)} toolbar = {[]}>
            </ImageEditorComponent>
                    <div>
                        <ButtonComponent cssClass='e-primary' content='Add Redact' onClick={this.addRedact.bind(this)}/>
                        <ButtonComponent cssClass='e-primary' content='Update Redact' onClick={this.updateRedact.bind(this)}/>
                        <ButtonComponent cssClass='e-primary' content='Select Redact' onClick={this.selectRedact.bind(this)}/>
                        <ButtonComponent cssClass='e-primary' content='Delete Redact' onClick={this.deleteRedact.bind(this)}/>
                    </div>
                </div>);
    }
}
ReactDOM.render(<App />, document.getElementById('image-editor'));
import { ImageEditorComponent, RedactType, RedactSettings } from '@syncfusion/ej2-react-image-editor';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import { Browser } from '@syncfusion/ej2-base';
import * as React from 'react';
import * as ReactDOM from "react-dom";

function App() {
    let imgObj: ImageEditorComponent;
    function imageEditorCreated(): void {
        if (Browser.isDevice) {
            imgObj.open('https://ej2.syncfusion.com/react/demos/src/image-editor/images/flower.png');
        } else {
            imgObj.open('https://ej2.syncfusion.com/react/demos/src/image-editor/images/bridge.png');
        }
    }
    function addRedact(): void {
        let dimension: any = imgObj.getImageDimension();
        imgObj.drawRedact(RedactType.Blur, dimension.x, dimension.y, 200, 300);
    }
    function updateRedact(): void {
        let redacts: RedactSettings[] = imgObj.getRedacts();
        if (redacts.length > 0) {
            redacts[redacts.length - 1].blurIntensity = 100;
            imgObj.updateRedact(redacts[redacts.length - 1]);
        }
    }
    function selectRedact(): void {
        let redacts: RedactSettings[] = imgObj.getRedacts();
        if (redacts.length > 0) {
            imgObj.selectRedact(redacts[redacts.length - 1].id);
        }
    }
    function deleteRedact(): void {
        let redacts: RedactSettings[] = imgObj.getRedacts();
        if (redacts.length > 0) {
            imgObj.deleteRedact(redacts[redacts.length - 1].id);
        }
    }

    return (
        <div className='e-img-editor-sample'>
        <ImageEditorComponent ref={(img) => { imgObj = img }} created={imageEditorCreated} toolbar = {[]}>
        </ImageEditorComponent>
                <div>
                    <ButtonComponent cssClass='e-primary' content='Add Redact' onClick = {addRedact}/>
                    <ButtonComponent cssClass='e-primary' content='Update Redact' onClick = {updateRedact}/>
                    <ButtonComponent cssClass='e-primary' content='Select Redact' onClick = {selectRedact}/>
                    <ButtonComponent cssClass='e-primary' content='Delete Redact' onClick = {deleteRedact}/>
                </div>
            </div>
    );
}
export default App;
ReactDOM.render(<App />, document.getElementById('image-editor'));
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Image Editor</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/29.2.4/ej2-base/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/29.2.4/ej2-buttons/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/29.2.4/ej2-splitbuttons/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/29.2.4/ej2-popups/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/29.2.4/ej2-inputs/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/29.2.4/ej2-navigations/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/29.2.4/ej2-image-editor/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/29.2.4/material.css"rel="stylesheet">
	<link href="index.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
        <div id='image-editor'>
            <div id='loader'>Loading....</div>
        </div>
</body>

</html>

Redact in the Vue Image Editor component

20 Sep 202410 minutes to read

The redact feature in an Image Editor is a valuable tool that empowers users to conceal sensitive information by applying blur or pixel effects to specific areas of an image. This feature is particularly valuable for protecting privacy and complying with data protection regulations, making it easier to securely share images without compromising sensitive information.

Apply redact to the image

The Image Editor control includes a drawRedact method, which allows you to draw redaction on an image. This method takes six parameters that define how the redact should be carried out:

  • type: Specifies the type of redaction to be drawn on the image such as blur or pixelate. If not specified, the redaction drawing is initiated with the default blur value.

  • x: Specifies x-coordinate of redaction. If not specified, the redaction drawing is initiated with the first parameter.

  • y: Specifies y-coordinate of redaction. If not specified it draws redaction from the center point of the image.

  • width: Specifies the width of redaction. The default value is 100.

  • height: Specifies the height of redaction. The default value is 50.

  • value: Specifies the blur value for blur-type redaction or the pixel size for pixelate-type redaction. Defaults to 20 since the default redaction is blur.

Selecting a redact

The Image Editor control includes a selectRedact method, which allows you to select a redaction based on the given redaction id. Use getRedacts method to get the redaction id which is then passed to perform selection. This method takes one parameter that define how the redact should be carried out:

  • id: Specifies the shape id to select a redact on an image.

Deleting a redact

The Image Editor control includes a deleteRedact method, which allows you to delete a redaction based on the given redaction id. Use getRedacts method to get the redaction id which is then passed to perform selection. This method takes one parameter that define how the redact should be carried out:

  • id: Specifies the shape id to delete a redact on an image.

Updating a redact

The Image Editor control includes a updateRedact method, which allows you to update the existing redacts by changing its height, width, blur, and pixel size in the component. Use getRedacts method to get the redacts which is then passed to change the options of a redacts. This method takes two parameters that define how the redact should be carried out:

  • setting: Specifies the redact settings to be updated for the shape on an image.

  • isSelected: Specifies to show the redacts in the selected state.

Getting redacts

The Image Editor control includes a getRedacts method, which allows you to get all the redact details which is drawn on an image editor.

Here’s an example demonstrating how to draw, select, delete, update, and get redacts on an image using the drawRedact, selectRedact, deleteRedact, updateRedact and getRedacts methods.

<template>
  <div>
    <ejs-imageeditor id="image-editor" ref="imageEditorObj" height="350px" width="550px" :created="created"
      :toolbar="toolbar"></ejs-imageeditor>
    <ejs-button cssClass="e-img-button" :isPrimary="true" v-on:click="addRedact">Add Redact</ejs-button>
    <ejs-button cssClass="e-img-button" :isPrimary="true" v-on:click="updateRedact">Update Redact</ejs-button>
    <ejs-button cssClass="e-img-button" :isPrimary="true" v-on:click="selRedact">Select Redact</ejs-button>
    <ejs-button cssClass="e-img-button" :isPrimary="true" v-on:click="delRedact">Delete Redact</ejs-button>
  </div>
</template>

<script setup>

import { ImageEditorComponent as EjsImageeditor, RedactType } from "@syncfusion/ej2-vue-image-editor";
import { ButtonComponent as EjsButton } from '@syncfusion/ej2-vue-buttons';
import { Browser } from "@syncfusion/ej2-base";
import { ref } from "vue";

const imageEditorObj = ref(null);
const toolbar = [];

const created = () => {
    const imageEditor = imageEditorObj.value?.ej2Instances;
    if (!imageEditor) return;
    let imageUrl = Browser.isDevice
        ? "https://ej2.syncfusion.com/react/demos/src/image-editor/images/flower.png"
        : "https://ej2.syncfusion.com/react/demos/src/image-editor/images/bridge.png";
    imageEditor.open(imageUrl);
};

const addRedact = () => {
  let dimension = imageEditorObj.value.ej2Instances.getImageDimension();
  imageEditorObj.value.ej2Instances.drawRedact(RedactType.Blur, dimension.x + 180, dimension.y + 240, 200, 300);
};
const updateRedact = () => {
  let redacts = imageEditorObj.value.ej2Instances.getRedacts();
  if (redacts.length > 0) {
    redacts[redacts.length - 1].blurIntensity = 100;
    imageEditorObj.value.ej2Instances.updateRedact(redacts[redacts.length - 1]);
  }
};
const selRedact = () => {
  let redacts = imageEditorObj.value.ej2Instances.getRedacts();
  if (redacts.length > 0) {
    imageEditorObj.value.ej2Instances.selectRedact(redacts[redacts.length - 1].id);
  }
};
const delRedact = () => {
  let redacts = imageEditorObj.value.ej2Instances.getRedacts();
  if (redacts.length > 0) {
    imageEditorObj.value.ej2Instances.deleteRedact(redacts[redacts.length - 1].id);
  }
};

</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-lists/styles/material.css";
@import "../node_modules/@syncfusion/ej2-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-inputs/styles/material.css";
@import "../node_modules/@syncfusion/ej2-navigations/styles/material.css";
@import "../node_modules/@syncfusion/ej2-dropdowns/styles/material.css";
@import "../node_modules/@syncfusion/ej2-image-editor/styles/material.css";

#image-editor {
  width: 550px !important;
  height: 350px !important;
}
</style>
<template>
  <div>
    <ejs-imageeditor id="image-editor" ref="imageEditorObj" height="350px" width="550px" :toolbar="toolbar"
      :created="onCreated"></ejs-imageeditor>
    <ejs-button cssClass="e-img-button" :isPrimary="true" v-on:click="addRedact">Add Redact</ejs-button>
    <ejs-button cssClass="e-img-button" :isPrimary="true" v-on:click="updateRedact">Update Redact</ejs-button>
    <ejs-button cssClass="e-img-button" :isPrimary="true" v-on:click="selRedact">Select Redact</ejs-button>
    <ejs-button cssClass="e-img-button" :isPrimary="true" v-on:click="delRedact">Delete Redact</ejs-button>
  </div>
</template>

<script>

import { ImageEditorComponent, RedactType } from "@syncfusion/ej2-vue-image-editor";
import { ButtonComponent } from '@syncfusion/ej2-vue-buttons';
import { Browser } from "@syncfusion/ej2-base";

export default {
  name: "App",
  components: {
    "ejs-imageeditor": ImageEditorComponent,
    "ejs-button": ButtonComponent
  },
  data: function () {
    return {
      toolbar: []
    };
  },
  methods: {
    onCreated() {
      let imageEditor = this.$refs.imageEditorObj?.ej2Instances;
      if (!imageEditor) return;
      let imageUrl = Browser.isDevice
        ? 'https://ej2.syncfusion.com/react/demos/src/image-editor/images/flower.png'
        : 'https://ej2.syncfusion.com/react/demos/src/image-editor/images/bridge.png';
      imageEditor.open(imageUrl);
    },
    addRedact: function () {
      let dimension = this.$refs.imageEditorObj.ej2Instances.getImageDimension();
      this.$refs.imageEditorObj.ej2Instances.drawRedact(RedactType.Blur, dimension.x + 180, dimension.y + 240, 200, 300);
    },
    updateRedact: function () {
      let redacts = this.$refs.imageEditorObj.ej2Instances.getRedacts();
      if (redacts.length > 0) {
        redacts[redacts.length - 1].blurIntensity = 100;
        this.$refs.imageEditorObj.ej2Instances.updateRedact(redacts[redacts.length - 1]);
      }
    },
    selRedact: function () {
      let redacts = this.$refs.imageEditorObj.ej2Instances.getRedacts();
      if (redacts.length > 0) {
        this.$refs.imageEditorObj.ej2Instances.selectRedact(redacts[redacts.length - 1].id);
      }
    },
    delRedact: function () {
      let redacts = this.$refs.imageEditorObj.ej2Instances.getRedacts();
      if (redacts.length > 0) {
        this.$refs.imageEditorObj.ej2Instances.deleteRedact(redacts[redacts.length - 1].id);
      }
    }
  }
}
</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-lists/styles/material.css";
@import "../node_modules/@syncfusion/ej2-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-inputs/styles/material.css";
@import "../node_modules/@syncfusion/ej2-navigations/styles/material.css";
@import "../node_modules/@syncfusion/ej2-dropdowns/styles/material.css";
@import "../node_modules/@syncfusion/ej2-image-editor/styles/material.css";

#image-editor {
  width: 550px !important;
  height: 350px !important;
}
</style>

Redact in the Angular Image Editor component

19 Sep 20247 minutes to read

The redact feature in an Image Editor is a valuable tool that empowers users to conceal sensitive information by applying blur or pixel effects to specific areas of an image. This feature is particularly valuable for protecting privacy and complying with data protection regulations, making it easier to securely share images without compromising sensitive information.

Apply redact to the image

The Image Editor control includes a drawRedact method, which allows you to draw redaction on an image. This method takes six parameters that define how the redact should be carried out:

  • type: Specifies the type of redaction to be drawn on the image such as blur or pixelate. If not specified, the redaction drawing is initiated with the default blur value.

  • x: Specifies x-coordinate of redaction. If not specified, the redaction drawing is initiated with the first parameter.

  • y: Specifies y-coordinate of redaction. If not specified it draws redaction from the center point of the image.

  • width: Specifies the width of redaction. The default value is 100.

  • height: Specifies the height of redaction. The default value is 50.

  • value: Specifies the blur value for blur-type redaction or the pixel size for pixelate-type redaction. Defaults to 20 since the default redaction is blur.

Selecting a redact

The Image Editor control includes a selectRedact method, which allows you to select a redaction based on the given redaction id. Use getRedacts method to get the redaction id which is then passed to perform selection. This method takes one parameter that define how the redact should be carried out:

  • id: Specifies the shape id to select a redact on an image.

Deleting a redact

The Image Editor control includes a deleteRedact method, which allows you to delete a redaction based on the given redaction id. Use getRedacts method to get the redaction id which is then passed to perform selection. This method takes one parameter that define how the redact should be carried out:

  • id: Specifies the shape id to delete a redact on an image.

Updating a redact

The Image Editor control includes a updateRedact method, which allows you to update the existing redacts by changing its height, width, blur, and pixel size in the component. Use getRedacts method to get the redacts which is then passed to change the options of a redacts. This method takes two parameters that define how the redact should be carried out:

  • setting: Specifies the redact settings to be updated for the shape on an image.

  • isSelected: Specifies to show the redacts in the selected state.

Getting redacts

The Image Editor control includes a getRedacts method, which allows you to get all the redact details which is drawn on an image editor.

Here’s an example demonstrating how to draw, select, delete, update, and get redacts on an image using the drawRedact, selectRedact, deleteRedact, updateRedact and getRedacts methods.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { ImageEditorModule } from '@syncfusion/ej2-angular-image-editor'
import { enableRipple } from '@syncfusion/ej2-base'
import { Component,ViewChild } from '@angular/core';
import { Browser } from '@syncfusion/ej2-base';
import { ImageEditorComponent, RedactSettings, RedactType } from '@syncfusion/ej2-angular-image-editor';

@Component({
imports: [
        
        ImageEditorModule
    ],


standalone: true,
    selector: 'app-root',
    template: `<div class="e-section-control">
                <!-- To render Image Editor. -->
              <div id="wrapperDiv" style="width:550px;height:350px;">
                <ejs-imageeditor #imageEditor (created)="created()" [toolbar]="toolbar"></ejs-imageeditor>
              </div>
              <button class="e-btn e-primary" (click)="addRedact()">Add Redact</button>
              <button class="e-btn e-primary" (click)="updateRedact()">Update Redact</button>
              <button class="e-btn e-primary" (click)="selectRedact()">Select Redact</button>
              <button class="e-btn e-primary" (click)="deleteRedact()">Delete Redact</button>
              </div>`
})

export class AppComponent {
    @ViewChild('imageEditor')
    public imageEditorObj?: ImageEditorComponent;
    public toolbar: string[] = [];
      public created(): void {
      if (Browser.isDevice) {
            this.imageEditorObj?.open('./flower.png');
        } else {
            this.imageEditorObj?.open('./bridge.png');
        }
    }
    addRedact(): void {
        let dimension: any = this.imageEditorObj?.getImageDimension();
        this.imageEditorObj?.drawRedact(RedactType.Blur, dimension?.x, dimension.y, 200, 300);
    }
    updateRedact(): void {
      let redacts: RedactSettings[] | any = this.imageEditorObj?.getRedacts();
      if (redacts.length > 0) {
        redacts[redacts.length - 1].blurIntensity = 100;
        this.imageEditorObj?.updateRedact(redacts[redacts.length - 1]);
      }
    }
    selectRedact(): void {
      let redacts: RedactSettings[] | any = this.imageEditorObj?.getRedacts();
      if (redacts.length > 0) {
          this.imageEditorObj?.selectRedact(redacts[redacts.length - 1].id);
      }
    }
    deleteRedact(): void {
      let redacts: RedactSettings[] | any = this.imageEditorObj?.getRedacts();
      if (redacts.length > 0) {
        this.imageEditorObj?.deleteRedact(redacts[redacts.length - 1].id);
      }
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));